// Copyright  2010 Nokia Corporation. All rights reserved. Nokia and Nokia Connecting People
// are registered trademarks of Nokia Corporation. Java and all Java-based marks are trademarks
// or registered trademarks of Sun Microsystems, Inc. Other product and company names mentioned
// herein may be trademarks or trade names of their respective owners.
//
//Subject to the conditions below, you may, without charge:
// * Use, copy, modify and/or merge copies of this software and associated documentation files (the Software)
// * Publish, distribute, sub-license and/or sell new software derived from or incorporating the Software.
//
// This license, unmodified, shall be included with all copies or substantial portions of
// the Software that are distributed in source code form.
//
// The Software cannot constitute the primary value of any new software derived from or incorporating the Software.
//
// Any person dealing with the Software shall not misrepresent the source of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
// IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
// SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

import javax.microedition.lcdui.*;

class SettingsScreen extends Form implements CommandListener, ItemStateListener {
    private final SheepdogMIDlet midlet;
    private final Command backCommand;
    private final ChoiceGroup soundsChoiceGroup;

    SettingsScreen(SheepdogMIDlet midlet) {
        super("Settings");
        this.midlet = midlet;
        backCommand = new Command("Back", Command.BACK, 1);
        addCommand(backCommand);
        setCommandListener(this);
        soundsChoiceGroup = new ChoiceGroup("Game settings:", Choice.MULTIPLE);
        soundsChoiceGroup.append("Sounds on", null);
        soundsChoiceGroup.setSelectedIndex(0, midlet.sounds_on);
        this.append(soundsChoiceGroup);
        this.setItemStateListener(this);
    }


    public void commandAction(Command c, Displayable d) {
        midlet.settingsBack();
    }

    public void itemStateChanged(Item item) {
        if (item.equals(soundsChoiceGroup)) {
            boolean[] selected = new boolean[1];
            int count = soundsChoiceGroup.getSelectedFlags(selected);
            if (count == 0) { 
                midlet.sounds_on = false;
            }
            else midlet.sounds_on = true;
            midlet.updateSoundSetting();
        }
    }
}